Skip to main content
GET
/
api
/
dashboard
/
customers
/
{customer_id}
/
audit
List Customer Audit
curl --request GET \
  --url https://api.example.com/api/dashboard/customers/{customer_id}/audit
{
  "events": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "actor_type": "<string>",
      "actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "action": "<string>",
      "target_type": "<string>",
      "target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payload": {},
      "ip": "<string>",
      "user_agent": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-API-Key
string | null
X-Stella-Merchant-Id
string | null

Path Parameters

customer_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

Paginated audit feed.

events
CustomerAuditEventResponse · object[]
required
total
integer
required
limit
integer
required
offset
integer
required